commit:     577137113bf1d48b1378bcefa4b55b43b2c935ac
Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> gentoo 
<DOT> org>
AuthorDate: Thu Aug  6 20:09:09 2015 +0000
Commit:     Jorge Manuel B. S. Vicetto <jmbsvicetto <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 20:09:09 2015 +0000
URL:        https://gitweb.gentoo.org/dev/jmbsvicetto.git/commit/?id=57713711

Sync ebuild with tree ebuilds and add experimental ebuild for 2.0.9 release.

Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> 
gentoo.org>

 www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild       | 47 ++++++++++-----------
 ..._perl-2.0.8-r1.ebuild => mod_perl-2.0.9.ebuild} | 49 ++++++++++------------
 2 files changed, 43 insertions(+), 53 deletions(-)

diff --git a/www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild 
b/www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild
index 6bcd37f..bf772bf 100644
--- a/www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild
+++ b/www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild
@@ -1,17 +1,14 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
 EAPI="5"
 
-inherit apache-module perl-module eutils
+inherit depend.apache apache-module perl-module eutils
 
 DESCRIPTION="An embedded Perl interpreter for Apache2"
-#SRC_URI="mirror://apache/perl/${P}.tar.gz"
+HOMEPAGE="https://projects.apache.org/projects/mod_perl.html";
 
SRC_URI="mirror://debian//pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.8+httpd24-r1449661.orig.tar.gz"
-#      
mirror://debian/pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.8+httpd24-r1449661-5.debian.tar.gz
-
-HOMEPAGE="http://perl.apache.org/";
 
 LICENSE="GPL-2"
 KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
@@ -47,7 +44,7 @@ SRC_TEST="do"
 
 DOCFILES="Changes INSTALL README STATUS"
 
-need_apache2
+need_apache2_4
 
 src_prepare() {
        perl-module_src_prepare
@@ -83,8 +80,9 @@ src_prepare() {
 #              || die "problem editing TestServer.pm"
 
        # rendhalver - this got redone for 2.0.1 and seems to fix the make test 
problems
-       epatch "${FILESDIR}"/mod_perl-2.0.1-sneak-tmpdir.patch
-
+       epatch "${FILESDIR}"/${PN}-2.0.1-sneak-tmpdir.patch
+       # bug 550244
+       epatch "${FILESDIR}"/${PN}-2.0.4-inline.patch
        # bug 352724
        epatch "${FILESDIR}/${P}-bundled-Apache-Test.patch"
        rm -rf Apache-{Test,Reload,SizeLimit}/ lib/Bundle/
@@ -124,21 +122,17 @@ src_prepare() {
 }
 
 src_configure() {
-       local myargs=
-
-       if use debug; then
-               myargs="MP_TRACE=1 MP_DEBUG=1"
-       else
-               myargs="MP_TRACE=0 MP_DEBUG=0"
-       fi
+       local debug=$(usex debug 1 0)
 
        perl Makefile.PL \
                PREFIX="${EPREFIX}"/usr \
                INSTALLDIRS=vendor \
                MP_USE_DSO=1 \
                MP_APXS=${APXS} \
-               MP_APR_CONFIG="/usr/bin/apu-1-config" \
-               ${myargs} || die
+               MP_APR_CONFIG=/usr/bin/apr-1-config \
+               MP_TRACE=${debug} \
+               MP_DEBUG=${debug} \
+               || die
 }
 
 src_test() {
@@ -148,8 +142,7 @@ src_test() {
 
        # IF YOU SUDO TO EMERGE AND HAVE !env_reset set testing will fail!
        if [[ "$(id -u)" == "0" ]]; then
-               chown nobody:nobody "${WORKDIR}"
-               chown nobody:nobody "${T}"
+               chown nobody:nobody "${WORKDIR}" "${T}"
        fi
 
        # this does not || die because of bug 21325. kudos to smark for
@@ -160,18 +153,18 @@ src_test() {
 src_install() {
        apache-module_src_install
 
-       emake DESTDIR="${D}" install || die
+       default
 
        # TODO: add some stuff from docs/ back?
 
        # rendhalver - fix the perllocal.pod that gets installed
        # it seems to me that this has been getting installed for ages
-       fixlocalpod
+       perl_delete_localpod
        # Remove empty .bs files as well
        perl_delete_packlist
 
        insinto "${APACHE_MODULES_CONFDIR}"
-       doins "${FILESDIR}"/2.0.3/apache2-mod_perl-startup.pl || die
+       doins "${FILESDIR}"/2.0.3/apache2-mod_perl-startup.pl
 
        # this is an attempt to get @INC in line with /usr/bin/perl.
        # there is blib garbage in the mainstream one that can only be
@@ -180,10 +173,12 @@ src_install() {
        # happening and revert if problematic.
 
        # Sorry for this evil hack...
-       perlinfo # just to be sure...
-       sed -i -e "s,-I${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
+       perl_set_version # just to be sure...
+       sed -i \
+               -e "s,-I${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
                -e 
"s,-typemap[[:space:]]${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
-               -e "s,${S}\(/[^[:space:]\"\']\+\)\?,/,g" 
"${D}/${VENDOR_ARCH}/Apache2/BuildConfig.pm" || die
+               -e "s,${S}\(/[^[:space:]\"\']\+\)\?,/,g" \
+               "${D}/${VENDOR_ARCH}/Apache2/BuildConfig.pm" || die
 
        for fname in $(find "${D}" -type f -not -name '*.so'); do
                grep -q "\(${D}\|${S}\)" "${fname}" && ewarn "QA: File contains 
a temporary path ${fname}"

diff --git a/www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild 
b/www-apache/mod_perl/mod_perl-2.0.9.ebuild
similarity index 84%
copy from www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild
copy to www-apache/mod_perl/mod_perl-2.0.9.ebuild
index 6bcd37f..02538be 100644
--- a/www-apache/mod_perl/mod_perl-2.0.8-r1.ebuild
+++ b/www-apache/mod_perl/mod_perl-2.0.9.ebuild
@@ -1,17 +1,14 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
 EAPI="5"
 
-inherit apache-module perl-module eutils
+inherit depend.apache apache-module perl-module eutils
 
 DESCRIPTION="An embedded Perl interpreter for Apache2"
-#SRC_URI="mirror://apache/perl/${P}.tar.gz"
-SRC_URI="mirror://debian//pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.8+httpd24-r1449661.orig.tar.gz"
-#      
mirror://debian/pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.8+httpd24-r1449661-5.debian.tar.gz
-
-HOMEPAGE="http://perl.apache.org/";
+HOMEPAGE="https://projects.apache.org/projects/mod_perl.html";
+SRC_URI="mirror://apache/perl/${P}.tar.gz"
 
 LICENSE="GPL-2"
 KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
@@ -47,7 +44,7 @@ SRC_TEST="do"
 
 DOCFILES="Changes INSTALL README STATUS"
 
-need_apache2
+need_apache2_4
 
 src_prepare() {
        perl-module_src_prepare
@@ -83,8 +80,9 @@ src_prepare() {
 #              || die "problem editing TestServer.pm"
 
        # rendhalver - this got redone for 2.0.1 and seems to fix the make test 
problems
-       epatch "${FILESDIR}"/mod_perl-2.0.1-sneak-tmpdir.patch
-
+       epatch "${FILESDIR}"/${PN}-2.0.1-sneak-tmpdir.patch
+       # bug 550244
+       epatch "${FILESDIR}"/${PN}-2.0.4-inline.patch
        # bug 352724
        epatch "${FILESDIR}/${P}-bundled-Apache-Test.patch"
        rm -rf Apache-{Test,Reload,SizeLimit}/ lib/Bundle/
@@ -124,21 +122,17 @@ src_prepare() {
 }
 
 src_configure() {
-       local myargs=
-
-       if use debug; then
-               myargs="MP_TRACE=1 MP_DEBUG=1"
-       else
-               myargs="MP_TRACE=0 MP_DEBUG=0"
-       fi
+       local debug=$(usex debug 1 0)
 
        perl Makefile.PL \
                PREFIX="${EPREFIX}"/usr \
                INSTALLDIRS=vendor \
                MP_USE_DSO=1 \
                MP_APXS=${APXS} \
-               MP_APR_CONFIG="/usr/bin/apu-1-config" \
-               ${myargs} || die
+               MP_APR_CONFIG=/usr/bin/apr-1-config \
+               MP_TRACE=${debug} \
+               MP_DEBUG=${debug} \
+               || die
 }
 
 src_test() {
@@ -148,8 +142,7 @@ src_test() {
 
        # IF YOU SUDO TO EMERGE AND HAVE !env_reset set testing will fail!
        if [[ "$(id -u)" == "0" ]]; then
-               chown nobody:nobody "${WORKDIR}"
-               chown nobody:nobody "${T}"
+               chown nobody:nobody "${WORKDIR}" "${T}"
        fi
 
        # this does not || die because of bug 21325. kudos to smark for
@@ -160,18 +153,18 @@ src_test() {
 src_install() {
        apache-module_src_install
 
-       emake DESTDIR="${D}" install || die
+       default
 
        # TODO: add some stuff from docs/ back?
 
        # rendhalver - fix the perllocal.pod that gets installed
        # it seems to me that this has been getting installed for ages
-       fixlocalpod
+       perl_delete_localpod
        # Remove empty .bs files as well
        perl_delete_packlist
 
        insinto "${APACHE_MODULES_CONFDIR}"
-       doins "${FILESDIR}"/2.0.3/apache2-mod_perl-startup.pl || die
+       doins "${FILESDIR}"/2.0.3/apache2-mod_perl-startup.pl
 
        # this is an attempt to get @INC in line with /usr/bin/perl.
        # there is blib garbage in the mainstream one that can only be
@@ -180,10 +173,12 @@ src_install() {
        # happening and revert if problematic.
 
        # Sorry for this evil hack...
-       perlinfo # just to be sure...
-       sed -i -e "s,-I${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
+       perl_set_version # just to be sure...
+       sed -i \
+               -e "s,-I${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
                -e 
"s,-typemap[[:space:]]${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
-               -e "s,${S}\(/[^[:space:]\"\']\+\)\?,/,g" 
"${D}/${VENDOR_ARCH}/Apache2/BuildConfig.pm" || die
+               -e "s,${S}\(/[^[:space:]\"\']\+\)\?,/,g" \
+               "${D}/${VENDOR_ARCH}/Apache2/BuildConfig.pm" || die
 
        for fname in $(find "${D}" -type f -not -name '*.so'); do
                grep -q "\(${D}\|${S}\)" "${fname}" && ewarn "QA: File contains 
a temporary path ${fname}"

Reply via email to